<%@ Page 
MasterPageFile="~/MasterPages/FormView.master" 
AutoEventWireup="true" 
ValidateRequest="false" 
CodeFile="CTP101010.aspx.cs" 
Inherits="Page_CTP101010" 
Title="ClickToPay Setup" %>
<%@ MasterType 
VirtualPath="~/MasterPages/FormView.master" %>

<asp:Content ID="cont1" ContentPlaceHolderID="phDS" Runat="Server">
    <px:PXDataSource 
        ID="ds" runat="server" 
        Visible="True" 
        Width="100%" 
        PrimaryView="ClickToPaySetup" 
        TypeName="CTPAps.CTPSetupMaint">
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" Runat="Server">
    <px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="ClickToPaySetup" TabIndex="100">
		<Template>
			<px:PXLayoutRule runat="server" StartRow="True" ColumnWidth="XXL" LabelsWidth="M" StartColumn="True"/>
		    <px:PXLayoutRule runat="server" ColumnSpan="2"></px:PXLayoutRule>
		    <px:PXTextEdit ID="edCtpApiKey" runat="server" AlreadyLocalized="False" DataField="CtpApiKey"></px:PXTextEdit>
            <px:PXLayoutRule runat="server" ColumnSpan="2"></px:PXLayoutRule>
            <px:PXTextEdit ID="edCtpUrl" runat="server" AlreadyLocalized="False" DataField="CtpUrl"><AutoSize Enabled="True" /></px:PXTextEdit>
            <px:PXLayoutRule runat="server" ColumnSpan="2"></px:PXLayoutRule>
            <px:PXTextEdit ID="edCtpPortalURL" runat="server" AlreadyLocalized="False" DataField="CtpPortalUrl"><AutoSize Enabled="True" /></px:PXTextEdit>
            <px:PXSelector ID="edCCPaymentMethod" runat="server" DataField="CCPaymentMethod"></px:PXSelector>
            <px:PXTextEdit ID="edSummaryCommodityCode" runat="server" AlreadyLocalized="False" DataField="SummaryCommodityCode" DefaultLocale=""></px:PXTextEdit>
            <px:PXTextEdit ID="edItemCommodityCode"    runat="server" AlreadyLocalized="False" DataField="ItemCommodityCode"></px:PXTextEdit>
		    <px:PXTextEdit ID="edShipFromPostalCode"   runat="server" AlreadyLocalized="False" DataField="ShipFromPostalCode" DefaultLocale=""></px:PXTextEdit>
            <px:PXDropDown ID="edDefaultSoBehavior"   runat="server" DataField="DefaultSoBehavior">  </px:PXDropDown>
            <px:PXTextEdit ID="edWebhookSharedKey"     runat="server" AlreadyLocalized="False" DataField="WebHookSharedKey" DefaultLocale=""></px:PXTextEdit>
            <px:PXTextEdit ID="edWebhookUserDeligate"     runat="server" AlreadyLocalized="False" DataField="WebhookUserDeligate" DefaultLocale=""></px:PXTextEdit>
            <px:PXCheckbox ID="edHashSharedKeyEnabled"   runat="server" DataField="HashSharedKeyEnabled" ></px:PXCheckbox>
            <px:PXCheckbox ID="edSyncVaultedCardsToAPSPays"   runat="server" DataField="SyncVaultedCardsToAPSPays"></px:PXCheckbox>
            <px:PXLayoutRule runat="server" ColumnWidth="XXL" LabelsWidth="M" StartColumn="True"></px:PXLayoutRule>
            <px:PXSelector ID="edACHPaymentMethod"    runat="server" DataField="ACHPaymentMethod">
            </px:PXSelector>
            <px:PXDropDown ID="edDefaultCustOptInOut" runat="server" DataField="DefaultCustOptInOut">
            </px:PXDropDown>
            <px:PXNumberEdit ID="edBulkInvoiceReleaseThrottleValue" runat="server" DataField="BulkInvoiceReleaseThrottleValue">
            </px:PXNumberEdit>
            <px:PXSelector ID="edCtpSurchargeItemID"    runat="server" DataField="CtpSurchargeItemID">
            </px:PXSelector>
              <px:PXCheckbox ID="edIsMultiCurrency" runat="server" DataField="IsMultiCurrency">
            </px:PXCheckbox>
            <px:PXDropDown ID="edDefaultImportType"    runat="server" DataField="DefaultImportType">
            </px:PXDropDown >
            <px:PXCheckbox ID="edIsEnableContractBilling" runat="server" DataField="IsEnableContractBilling">
            </px:PXCheckbox>
            <px:PXCheckbox ID="edIsEnableProjectBilling" runat="server" DataField="IsEnableProjectBilling">
            </px:PXCheckbox>
        </Template>
		<AutoSize Container="Window" Enabled="True" MinHeight="200" />
	</px:PXFormView>
</asp:Content>